---
lang: en
title: 'API docs: metadata.classdecoratorfactory'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/metadata
permalink: /doc/en/lb4/apidocs.metadata.classdecoratorfactory.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/metadata](./metadata.md) &gt; [ClassDecoratorFactory](./metadata.classdecoratorfactory.md)

## ClassDecoratorFactory class

Factory for class decorators

**Signature:**

```typescript
export declare class ClassDecoratorFactory<T> extends DecoratorFactory<T, T, ClassDecorator> 
```
**Extends:** [DecoratorFactory](./metadata.decoratorfactory.md)<!-- -->&lt;T, T, ClassDecorator&gt;

## Methods

<table><thead><tr><th>

Method


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[create()](./metadata.classdecoratorfactory.create.md)


</td><td>


</td><td>


</td></tr>
<tr><td>

[createDecorator(key, spec, options)](./metadata.classdecoratorfactory.createdecorator.md)


</td><td>

`static`


</td><td>

Create a class decorator function


</td></tr>
<tr><td>

[mergeWithInherited(inheritedMetadata, target, member, descriptorOrIndex)](./metadata.classdecoratorfactory.mergewithinherited.md)


</td><td>

`protected`


</td><td>


</td></tr>
<tr><td>

[mergeWithOwn(ownMetadata, target, member, descriptorOrIndex)](./metadata.classdecoratorfactory.mergewithown.md)


</td><td>

`protected`


</td><td>


</td></tr>
</tbody></table>


